%global commit          de61bd564f1aa929bae414a70e421acd0b81789a
%global shortcommit     de61bd5
%global checkout        20210727git%{shortcommit}

Name:           dump1090
Version:        0
Release:        1.%{checkout}%{?dist}
Summary:        Simple Mode S decoder specifically designed for RTLSDR devices

License:        BSD
URL:            https://github.com/antirez/dump1090
Source0:        https://github.com/antirez/dump1090/archive/%{commit}/dump1090-git%{shortcommit}.tar.gz
Patch0:         dump1090-share.patch

BuildRequires:  gcc rtl-sdr-devel
#Requires:       

%description
Dump 1090 is a Mode S decoder specifically designed for RTLSDR devices.

Install this to use your RTL-SDR to track commercial aircraft in your area.

The main features are:

* Robust decoding of weak messages, with mode1090 many users observed
  improved range compared to other popular decoders.
* Network support: TCP30003 stream (MSG5...), Raw packets, HTTP.
* Embedded HTTP server that displays the currently detected aircraft on
  Google Map.
* Single bit errors correction using the 24 bit CRC.
* Ability to decode DF11, DF17 messages.
* Ability to decode DF formats like DF0, DF4, DF5, DF16, DF20 and DF21
  where the checksum is xored with the ICAO address by brute forcing the
  checksum field using recently seen ICAO addresses.
* Decode raw IQ samples from file (using --ifile command line switch).
* Interactive command-line interface mode where aircraft currently detected
  are shown as a list refreshing as more data arrives.
* CPR coordinates decoding and track calculation from velocity.
* TCP server streaming and receiving raw data to/from connected clients
  (using --net).

%prep
%setup -qn %{name}-%{commit}
%patch0 -b .share
sed -ne '/Copyright/,/DAMAGE\./p' dump1090.c >LICENSE

%build
#configure
%make_build CC=gcc CFLAGS="${CFLAGS:-%optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -pm 755 dump1090  %{buildroot}%{_bindir}
install -pm 755 gmap.html  %{buildroot}%{_datadir}/%{name}
cp -pr tools  %{buildroot}%{_datadir}/%{name}

%check
sha256=$(./dump1090 --ifile testfiles/modes1.bin | sha256sum)
goodsha256="38144d6ab7c64b801ec3e8a9165ca2e25ce6b56374ae7c542f7b546e313c65dd  -"
test "$sha256" = "$goodsha256"

%files
%license LICENSE
%doc README.md TODO
%{_bindir}/dump1090
%{_datadir}/%{name}

%changelog
* Tue Jul 27 2021 Stuart D. Gathman <stuart@gathman.org> 0-1.20210727gitde61bd5
- Initial RPM
